using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography.X509Certificates;

namespace CertStore
{
    class Program
    {
        static void Main(string[] args)
        {
            X509Store store = new X509Store(StoreName.My, StoreLocation.CurrentUser);
            store.Open(OpenFlags.ReadOnly);

            foreach (X509Certificate2 cert in store.Certificates)
            {
                Console.WriteLine(cert.Subject);
            }

            X509Certificate2Collection certs =
                X509Certificate2UI.SelectFromCollection(store.Certificates,
                    "Ihre Zertifikate",
                    "Bitte auswhlen",
                    X509SelectionFlag.SingleSelection);

            if (certs.Count != 0)
            {
                X509Certificate2UI.DisplayCertificate(certs[0]);
            }

            X509Certificate2Collection result =
                store.Certificates.Find(X509FindType.FindBySubjectKeyIdentifier, "abc...", true);

            store.Close();
        }
    }
}
